#!/bin/sh

#LINUX_GCC=gcc-4.8
LINUX_GCC=gcc-4.9
#LINUX_GCC=gcc-6

cd `dirname $0`

fdeb=none
hdeb=none
kdeb=none
kver=none
kmmb=none
kmm=none
for f in `ls linux-image-3.*_*_*.deb`; do
    kdeb=$f
    karc=`echo $f | cut -d "_" -f 3 | cut -d "." -f 1`
    kver=`echo $f | cut -d "_" -f 1 | cut -d - -f 3-`
    kmmb=`echo $kver | cut -d "-" -f 1-2`
    kmm=`echo $kmmb | cut -d "." -f 1-2`

    if [ -e ${kdeb/linux-image-/linux-firmware-image-} ]; then
      fdeb=${kdeb/linux-image-/linux-firmware-image-}
    elif [ -e ${kdeb/linux-image-/linux-firmware-} ]; then
      fdeb=${kdeb/linux-image-/linux-firmware-}
    elif [ -e ${kdeb/linux-image-${kver}_/linux-firmware-image_} ]; then
      fdeb=${kdeb/linux-image-${kver}_/linux-firmware-image_}
    else
      fdeb=
    fi

    if [ -e ${kdeb/linux-image-/linux-headers-} ]; then
      hdeb=${kdeb/linux-image-/linux-headers-}
    else
      hdeb=linux-headers-${kver}_${kmm}*_*.deb
    fi
done

sudo apt-get install -y i2c-tools mtd-utils

sudo dpkg -i linux-bsp-*_*_*.deb

#sudo dpkg -i ${kdeb}

sudo apt-get install -y ${LINUX_GCC} ${LINUX_GCC/gcc/cpp} || true

sudo apt-get install -y linux-compiler-${LINUX_GCC}-arm
sudo apt-get install -y linux-kbuild-${kmm} || sudo dpkg -i linux-kbuild-${kmm}_${kmm}*_*.deb
sudo apt-get install -y linux-headers-${kmmb}-common || true

sudo dpkg -i linux-headers-${kmmb}-common_${kmm}*_*.deb ${fdeb} ${hdeb} ${kdeb}
#sudo dpkg -i ${kdeb}
#sudo dpkg -i linux-headers-3.*.*_3.*.*_*.deb

sudo dpkg -i linux-headers-${karc}_${kmm}*.deb linux-image-${karc}_${kmm}*.deb

if dpkg -s linux-headers-${kmmb}-nas520 2>/dev/null ; then
  if dpkg -s linux-headers-${kmmb}-nas540 2>/dev/null ; then
    sudo apt-get remove -y linux-headers-${kmmb}-nas520 linux-headers-${kmmb}-nas540 || true
  fi
fi
if dpkg -s linux-headers-${kmmb}-nas520 2>/dev/null ; then
  sudo apt-get remove -y linux-headers-${kmmb}-nas520 || true
fi
if dpkg -s linux-headers-${kmmb}-nas540 2>/dev/null ; then
  sudo apt-get remove -y linux-headers-${kmmb}-nas540 || true
fi

cd -

if [ -e /etc/default/watchdog ]; then
  if grep -E '^CONFIG_COMCERTO_WATCHDOG=' /boot/config-$kver ; then
    sudo sed -i s/'watchdog_module="softdog"'/'watchdog_module="comcerto_wdt"'/g /etc/default/watchdog
  fi
fi

sudo cp -p /boot/vmlinuz-$kver /boot/uImage

